Summary:          xrandr Gnome2 panel applet
Name:             grandr_applet
Version:          0.2
Release:          0.fdr.2
Epoch:            0
URL:              http://handhelds.org/~mallum/downloadables/grandr_applet-0.2.tar.gz
License:          GPL
Group:            User Interface/Desktops
Source0:          http://handhelds.org/~mallum/downloadables/grandr_applet-0.2.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}
BuildRequires: XFree86-devel >= 0:4.3.0
BuildRequires: glib2-devel >= 0:2.2.1
BuildRequires: gtk2-devel >= 0:2.2.1
BuildRequires: libgnomeui-devel >= 0:2.2.0.1
BuildRequires: libgnomecanvas-devel >= 0:2.2.0.1
BuildRequires: libart_lgpl-devel >= 0:2.3.11
BuildRequires: bonobo-devel >= 0:1.0.22
BuildRequires: bonobo-activation-devel >= 0:2.2.0
BuildRequires: gnome-vfs2-devel >= 0:1.0.1
BuildRequires: GConf2-devel >= 0:2.2.0
BuildRequires: ORBit2-devel >= 0:2.6.0
BuildRequires: atk-devel >= 0:1.2.0
BuildRequires: gdk-pixbuf-devel >= 1:0.18.0
BuildRequires: linc-devel >= 0:1.0.1
BuildRequires: libxml2-devel >= 0:2.5.4
BuildRequires: gnome-panel >= 0:2.2.0.1

Requires: XFree86 >= 0:4.3.0
Requires: XFree86-libs >= 0:4.3.0
Requires: glib2 >= 0:2.2.1
Requires: gtk2 >= 0:2.2.1
Requires: libgnomeui >= 0:2.2.0.1
Requires: libgnomecanvas >= 0:2.2.0.1
Requires: libart_lgpl >= 0:2.3.11
Requires: bonobo >= 0:1.0.22
Requires: bonobo-activation >= 0:2.2.0
Requires: gnome-vfs2 >= 0:1.0.1
Requires: GConf2 >= 0:2.2.0
Requires: ORBit2 >= 0:2.6.0
Requires: atk >= 0:1.2.0
Requires: gdk-pixbuf >= 1:0.18.0
Requires: linc >= 1.0.1
Requires: libxml2 >= 0:2.5.4
Requires: gnome-panel >= 0:2.2.0.1
 

%description
GrandrApplet is a simple gnome-panel front end to the xrandr extension
found in XFree86 4.3+ releases.

%prep
%setup -q

#---------------------------------------------------------------------

%build
%configure
make %{?_smp_mflags}
  
#---------------------------------------------------------------------

%install
rm -rf %{buildroot}
%makeinstall
#%find_lang %{name}

#---------------------------------------------------------------------

%clean
rm -rf %{buildroot}

#---------------------------------------------------------------------

%post -p /sbin/ldconfig

#---------------------------------------------------------------------

%postun -p /sbin/ldconfig

#---------------------------------------------------------------------

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README

%{_libdir}/bonobo/servers/GrandrApplet.server
%{_libexecdir}/grandr
%{_datadir}/pixmaps/grandr.png

#%exclude %{_libdir}/*.la
#%exclude %{_infodir}/dir

#---------------------------------------------------------------------

%changelog
* Fri Apr 04 2003 Nathan G. Grennan <chaos@cygnusx-1.org> - 0.2-1
- Initial RPM release.

